"""
OSDU authentication for Python applications.

Package implements authorization code flow (aka 3-legged authentication).
Adding middleware to all handlers:

    api = falcon.API(middleware=[AuthMiddleware(disk_cache)])
"""

from .middleware import (AuthCallbackResource, AuthMiddleware,
                         EndSessionCallbackResource, LoginResource,
                         LogoutResource)

__all__ = [
    "AuthCallbackResource",
    "AuthMiddleware",
    "EndSessionCallbackResource",
    "LoginResource",
    "LogoutResource",
]
