const express = require('express');
const path = require('path');
const proxyRouts = require('./proxy');

const app = express();

// Serve the static files from the React app
app.use(express.static(path.join(__dirname, 'build')));

const backendUrl = `http://${process.env.BACKEND_HOST}:${process.env.BACKEND_PORT}`
proxyRouts(app, backendUrl);

// Handles any requests that don't match the ones above
app.get('*', (req, res) => {
  res.sendFile(path.join(__dirname + '/build/index.html'));
});

const port = process.env.PORT || 3000;
app.listen(port);

console.log('App is listening on port ' + port);
