import React from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';
import { MainPage } from 'pages/main';
import { MapPage } from 'pages/map';
import { CrossSectionPage } from 'pages/cross-section';
import { NotFoundPage } from 'pages/not-found';
import './App.css';

export const App = () => {
  return (
    <Router>
      <div className="App">
        <Switch>
          <Route path="/" component={MainPage} exact />
          <Route path="/map" component={MapPage} />
          <Route path="/cross-section/:wells" component={CrossSectionPage} />
          <Route path="*" component={NotFoundPage} />
        </Switch>
      </div>
    </Router>
  );
};
