import React from 'react';
import { shallow } from 'enzyme';
import { Chart, ChartProps } from './Chart';
import { prepareChartData } from 'lib/cross-section';
import { crossSectionLoadDataSuccessState, chartColors } from 'test-data/cross-section';
import { Line } from 'recharts';

describe('Chart', () => {
  it('should render self', () => {
    const props: ChartProps = {
      data: prepareChartData(crossSectionLoadDataSuccessState.wellMarkers),
      formations: crossSectionLoadDataSuccessState.formations,
      wellsToDrill: crossSectionLoadDataSuccessState.wellMarkers.map((w, i) => 1 + i * 3),
      colors: chartColors,
    };
    const wrapper = shallow(<Chart {...props} />);

    expect(wrapper).toMatchSnapshot();
    expect(wrapper.find(Line).length).toBe(props.formations.length);
  });
});
