import React from 'react';
import { shallow } from 'enzyme';
import { ControlPanel, ControlPanelProps } from './ControlPanel';

describe('ControlPanel', () => {
  it('should render self and subcomponents', () => {
    const props: ControlPanelProps = {
      isPolygonClearDisabled: true,
      isSearchInPolygonDisabled: true,
      isCrossSectionDisabled: true,
      onPolygonClear: jest.fn(),
      onSearchInPolygon: jest.fn(),
      crossSectionLink: 'link',
      isLoading: false,
    };
    const wrapper = shallow(<ControlPanel {...props} />);

    expect(wrapper).toMatchSnapshot();
  });

  it('enabled cross-section button should be a link', () => {
    const props: ControlPanelProps = {
      isPolygonClearDisabled: true,
      isSearchInPolygonDisabled: true,
      isCrossSectionDisabled: false,
      onPolygonClear: jest.fn(),
      onSearchInPolygon: jest.fn(),
      crossSectionLink: 'link',
      isLoading: false,
    };
    const wrapper = shallow(<ControlPanel {...props} />);

    expect(wrapper).toMatchSnapshot();
  });
});
