import React from 'react';
import { shallow } from 'enzyme';
import { CrossSectionPage, CrossSectionPageProps } from './CrossSectionPage';
import { crossSectionLoadDataSuccessState } from 'test-data/cross-section';

describe('CrossSectionPage', () => {
  it('should render self and subcomponents', () => {
    const props: CrossSectionPageProps = {
      isDataLoading: false,
      formations: crossSectionLoadDataSuccessState.formations,
      wellMarkers: crossSectionLoadDataSuccessState.wellMarkers,
    };
    const wrapper = shallow(<CrossSectionPage {...props} />);

    expect(wrapper).toMatchSnapshot();
  });

  it('should render loader', () => {
    const props: CrossSectionPageProps = {
      isDataLoading: true,
      formations: crossSectionLoadDataSuccessState.formations,
      wellMarkers: crossSectionLoadDataSuccessState.wellMarkers,
    };
    const wrapper = shallow(<CrossSectionPage {...props} />);

    expect(wrapper).toMatchSnapshot();
  });
});
