import { CrossSectionState } from 'store/cross-section';

export const crossSectionInitialState: CrossSectionState = {
  isDataLoading: false,
  formations: [],
  wellMarkers: [],
  wellsOrder: [],
  loadError: undefined,
};

export const crossSectionLoadDataStartState: CrossSectionState = {
  ...crossSectionInitialState,
  wellsOrder: ['opendes:master-data--Well:1111', 'opendes:master-data--Well:2222'],
  isDataLoading: true,
};

export const crossSectionLoadDataSuccessState: CrossSectionState = {
  ...crossSectionLoadDataStartState,
  wellsOrder: ['opendes:master-data--Well:1111', 'opendes:master-data--Well:2222'],
  isDataLoading: false,
  formations: [
    'formation1',
    'formation2',
    'formation3',
    'formation4',
    'formation_not_2',
    'formation_not_3',
    'formation5',
  ],
  wellMarkers: [
    {
      facilityName: 'WellName1',
      markerDepths: [0, 10, 20, 30],
      formations: ['formation1', 'formation2', 'formation3', 'formation4'],
    },
    {
      facilityName: 'WellName2',
      markerDepths: [0, 15, 30, 45, 60],
      formations: ['formation1', 'formation_not_2', 'formation_not_3', 'formation4', 'formation5'],
    },
  ],
};

export const crossSectionLoadDataFailState: CrossSectionState = {
  ...crossSectionLoadDataStartState,
  wellsOrder: ['opendes:master-data--Well:1111', 'opendes:master-data--Well:2222'],
  isDataLoading: false,
  loadError: Error('Forbidden'),
};
